from events.types.payload import Payload
from models.child_override import ChildOverride


class ChildOverrideSetPayload(Payload):
    def __init__(self, override: ChildOverride):
        super().__init__({
            'override': override.to_dict()
        })

    @property
    def override(self) -> dict:
        return self.get("override")
